// cout example
#include <iostream>
#include <iomanip>
using namespace std;

int main()
{
   cout << "Characters: " << 'a' << " " << char(65) << endl;
   
   cout << "Decimals: " << 1977 << " " << 650000L << endl;
   
   cout << "Preceding with blanks: ";
   cout.width(10);
   cout << 1977 << endl;
   
   cout << "Preceding with zeros: "
        << setw(10) << setfill('0') 
        << 1977 
        << endl;
   
   cout << "Some different radixes: " 
        << dec << 100 << " " 
        << hex << 100 << " " 
        << oct << 100 << " " 
        << "0x" << setbase(16) << 100 << " " 
        << "0"  << setbase(8) << 100 
        << setbase(10) 
        << endl;
        
   cout << "floats: " ;
  
   cout.setf(ios::fixed, ios::floatfield);
   
   cout.precision(2);  
   cout << 3.1416 << " "; // 3.14
   
   cout.setf(ios::scientific, ios::floatfield);
       
   cout.precision(0);
   cout.setf(ios::showpos);
   cout << 3.1416 << " "; // +3e+000
   
   cout.precision(6);   
   cout.unsetf(ios::showpos);
   cout << 3.1416 << endl; // 3.141600e+000
   
   cout.fill(' ');
   
   cout << "Width trick: " 
        << setw(5) 
        << 10 
        << endl;
        
   cout << "A string" << endl;

   return 0;
}
